## astyle 2.04

=== build/clang/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle
# the path was changed in release 2.01
# SYSCONF_PATH_OLD may be removed at the appropriate time
SYSCONF_PATH_OLD=$(prefix)/share/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include
CXX = clang++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else 
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS) 
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c -o $@ $<

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done
	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
		rm -rf $(SYSCONF_PATH_OLD); \
	fi

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)
	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
		rm -rf $(SYSCONF_PATH_OLD); \
	fi

=== build/intel/Makefile ===
# Make file for Intel compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.
#
# Before running "make" the COMPILER environment variables must be set.
# To set the environment variables "source" the compiler environment script:
#     source /opt/intel/bin/iccvars.sh intel64
# Refer to the install instructions for details.
#
# IF YOU GET AN ERROR MESSAGE:
# *** No rule to make target `obj/astyle_main.o', needed by `astyle'.
# SEE THE ABOVE INSTRUCTIONS.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle
# the path was changed in release 2.01
# SYSCONF_PATH_OLD may be removed at the appropriate time
SYSCONF_PATH_OLD=$(prefix)/share/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin

# if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
# the following were REMOVED in release 2011.1.107
#     -vec-report0 turns off BLOCK WAS VECTORIZED warnings. To disable vectorization use -mia32 instead.
#     -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include
CXX = icpc
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else 
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s -static-intel
    LDFLAGSd   = -static-intel
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c -o $@ $<

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c -o $@ $<

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c -o $@ $<

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c -o $@ $<

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c -o $@ $<

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c -o $@ $<

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c -o $@ $<

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c -o $@ $<

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done
	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
		rm -rf $(SYSCONF_PATH_OLD); \
	fi

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)
	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
		rm -rf $(SYSCONF_PATH_OLD); \
	fi

=== debian/changelog ===
astyle (2.04-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1376557)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 02 Oct 2014 09:44:32 +0200

astyle (2.04-0ubuntu1) utopic; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2014 17:13:46 +0200

astyle (2.03-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on s390x due to using -fpic instead of -fPIC
    - debian/patches/FTBFS_FPIC.patch

 -- Scott Howard <showard@debian.org>  Sun, 23 Mar 2014 10:58:45 -0400

astyle (2.03-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build shared library and Java JNI library (Closes: #452742)
    - debian/patches/set_soname.patch assigns the 0debian0 soversion
  * Lintian cleaning:
    - Errors: privacy-breach-logo and privacy-breach-piwik fixed in
      debian/patches/privacy.patch
    - Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Sat, 08 Mar 2014 13:21:36 -0500

=== debian/control ===
Source: astyle
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), default-jdk, dh-exec (>=0.3)
Maintainer: Margarita Manterola <marga@debian.org>
Uploaders: Matteo Cypriani <mcy@lm7.fr>
Standards-Version: 3.9.5
Homepage: http://astyle.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/astyle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/astyle.git

Package: astyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code indenter for C++/C/Java/C# source code
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the command line tool.

Package: libastyle0debian0
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for C++/C/Java/C# source code indenter
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the shared library.

Package: libastyle-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libastyle0debian0 (=${binary:Version})
Description: Library header files for C++/C/Java/C# source code indenter
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the development headers.

Package: libastylej-jni
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java JNI library for C++/C/Java/C# source code indenter
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the Java native interface library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

JAVA_HOME = /usr/lib/jvm/default-java/
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')

# Avoid unneeded library dependencies
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS += -Wl,--as-needed

# Target for stripping / not stripping
BUILD_TARGET = astyle
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    BUILD_TARGET = astyled
endif

# For hardening options
CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -Smakefile -- -C build/gcc $(BUILD_TARGET) shared java
	[ "$(BUILD_TARGET)" = "astyle" ] || mv bin/$(BUILD_TARGET) bin/astyle

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C build/gcc clean
	[ ! -d build/gcc/obj ] || rmdir build/gcc/obj
	[ ! -d bin ] || rmdir bin

## astyle 2.05.1

=== build/clang/Makefile ===
--- 
+++ 
@@ -43,20 +43,20 @@
 ifdef CFLAGS
     CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
     CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
-else 
+else
     CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
     CFLAGSd   = -g $(CBASEFLAGS)
 endif
-CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
-CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
+CFLAGSs   = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSr)
+CFLAGSsd  = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSd)
 CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
 CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
-CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
-CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)
+CFLAGSsj  = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSr) $(JAVAINCS)
+CFLAGSsjd = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSd) $(JAVAINCS)
 
 # define link options
 ifdef LDFLAGS
-    LDFLAGSr   = $(LDFLAGS) 
+    LDFLAGSr   = $(LDFLAGS)
     LDFLAGSd   = $(LDFLAGS)
 else
     LDFLAGSr   = -s
@@ -131,14 +131,14 @@
 	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
-shared:  libastyle.so
-libastyle.so:  $(OBJs)
+shared:  libastyle-2.05.1.so
+libastyle-2.05.1.so:  $(OBJs)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
-shareddebug:  libastyled.so
-libastyled.so:  $(OBJsd)
+shareddebug:  libastyle-2.05.1d.so
+libastyle-2.05.1d.so:  $(OBJsd)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
@@ -155,14 +155,14 @@
 	ar crs $(bindir)/$@ $^
 	@ echo
 
-java:  libastylej.so
-libastylej.so:  $(OBJsj)
+java:  libastyle-2.05.1j.so
+libastyle-2.05.1j.so:  $(OBJsj)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
-javadebug:  libastylejd.so
-libastylejd.so:  $(OBJsjd)
+javadebug:  libastyle-2.05.1jd.so
+libastyle-2.05.1jd.so:  $(OBJsjd)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo

=== debian/changelog ===
astyle (2.05.1-0ubuntu1) xenial; urgency=medium

  * New upstream version. Closes: #789215.
    - Fix issue 305. Closes: #769524.
  * New library soname, remove he Conflict/Replaces.
  * Mark the library packages as M-A: same.
  * Enable parallel builds.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2016 12:44:48 +0100

astyle (2.04-1.1ubuntu1) xenial; urgency=medium

  * Merge With Debian; remaining changes:
    - libastyle0debian0: Conflict/Replaces libastyle0debian0v5.
      The change can be dropped after the 16.04 LTS release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2016 12:33:28 +0100

astyle (2.04-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix FTBFS with DEB_BUILD_OPTIONS=nostrip (Closes: #812658)
  * Fix JNI include path (Closes: #814580)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 20 Feb 2016 22:07:28 +0000

astyle (2.04-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream release. (Closes: #757809)
    + Update debian/copyright.
    + Update package description.
    + Refresh patches (and improve DEP-3 tags).
  * Shared lib: don't pre-depend on multiarch-support.
  * Simplify the man page.
  * Use canonical VCS fields in debian/control.
  * Switch packagers' roles (Margarita as Uploader and Matteo as Maintainer).
  * Delete wrong entry in debian/NEWS.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 08 Sep 2014 11:14:27 -0400

=== debian/control ===
Source: astyle
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), default-jdk, dh-exec (>=0.3)
Maintainer: Matteo Cypriani <mcy@lm7.fr>
Uploaders: Margarita Manterola <marga@debian.org>
Standards-Version: 3.9.7
Homepage: http://astyle.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/astyle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/astyle.git

Package: astyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code indenter for C, C++, Objective-C, C#, and Java
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the command line tool.

Package: libastyle2.05
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for Artistic Style
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the shared library.

Package: libastyle-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libastyle2.05 (=${binary:Version})
Description: Library header files for Artistic Style
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the development headers.

Package: libastylej-jni
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java JNI library for Artistic Style
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the Java native interface library.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 
 # Avoid unneeded library dependencies
+CFLAGS = $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
 
@@ -17,15 +18,15 @@
     BUILD_TARGET = astyled
 endif
 
-# For hardening options
-CFLAGS += $(CPPFLAGS)
-
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
-	dh_auto_build -Smakefile -- -C build/gcc $(BUILD_TARGET) shared java
-	[ "$(BUILD_TARGET)" = "astyle" ] || mv bin/$(BUILD_TARGET) bin/astyle
+	dh_auto_build -Smakefile -- -C build/gcc \
+		$(BUILD_TARGET) shared java \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+	[ "$(BUILD_TARGET)" = "astyle" ] || mv build/gcc/bin/$(BUILD_TARGET) build/gcc/bin/astyle
 
 override_dh_auto_clean:
 	dh_auto_clean

## astyle 2.06

=== build/clang/Makefile ===
# Make file for GCC compiler on Linux or compatible OS

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = clang++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.06.so $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.06d.so $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.06j.so $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.06jd.so $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== build/intel/Makefile ===
# Make file for Intel compiler on Linux or compatible OS

# Before running "make" the COMPILER environment variables must be set.
# To set the environment variables "source" the compiler environment script:
#     source /opt/intel/bin/compilervars.sh  [ ia32 | intel64 ]
# Refer to the install instructions for details.
# If the environment variables are set, INTEL_LICENSE_FILE will be defined.
# NOTE: This does not work if 'sudo' is used, as in 'install' and 'uninstall'.
#ifndef INTEL_LICENSE_FILE
#    $(error The compiler environment variables are not set)
#endif

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin

CBASEFLAGS = -w3 -Wall -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
CXX = icpc
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.06.so $^
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.06d.so $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/libastyle-2.06j.so $^
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/libastyle-2.06jd.so $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== debian/changelog ===
astyle (2.06-2) unstable; urgency=medium

  * Mark two symbols as optional.

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 20 Jan 2017 10:27:16 -0500

astyle (2.06-1) unstable; urgency=medium

  * New upstream version. Closes: #789215.
    + Fixed last character repeated in output when reading from stdin
      (issue 305). Closes: #769524.

  [ Matthias Klose ]
  * Mark the library packages as M-A: same.
  * Enable parallel builds.
  * debian/astyle.doc-base: change HTML documentation index.

  [ Margarita Manterola ]
  * Acknowledge NMU.
  * Drop PIC patch (applied upstream).

  [ Matteo Cypriani ]
  * libastyle: new soname and package name: 0debian2.06
    (no reverse-dependencies).
  * Update debian/copyright.
    + License changed to MIT.
  * Patches:
    + Drop fix-jni-include-path.patch (fixed upstream).
    + Add hardening.patch (enables PIE).
    + Rewrite privacy.patch.
    + Refresh set_soname.patch.
  * debian/rules: improve flag import, BINDNOW hardening.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch to debhelper compat 10.
  * Suggest xdg-utils, useful for the new html (-!) option.
  * Use secure URIs for Vcs-Git and Vcs-Browser.
  * Add symbols file.
  * Add lintian overrides for libastyle and libastyle-jni.
  * Add libastyle-dev.NEWS, rename NEWS to astyle.NEWS.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 19 Jan 2017 16:30:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: astyle
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), default-jdk, dh-exec (>=0.3)
+Build-Depends: debhelper (>= 10), default-jdk, dh-exec (>=0.3)
 Maintainer: Matteo Cypriani <mcy@lm7.fr>
 Uploaders: Margarita Manterola <marga@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://astyle.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/astyle.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/astyle.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/astyle.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/astyle.git
 
 Package: astyle
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: xdg-utils
 Description: Source code indenter for C, C++, Objective-C, C#, and Java
  Artistic Style is a source code indenter, formatter, and beautifier for
  the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
  .
  This package contains the command line tool.
 
-Package: libastyle2.05
+Package: libastyle0debian2.06
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libastyle2.05 (=${binary:Version})
+ libastyle0debian2.06 (=${binary:Version})
 Description: Library header files for Artistic Style
  Artistic Style is a source code indenter, formatter, and beautifier for
  the C, C++, C++/CLI, Objective-C, C# and Java programming languages.

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,20 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
-JAVA_HOME = /usr/lib/jvm/default-java/
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
+# Enable BINDNOW. PIE is handled through hardening.patch for now.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# Upstream build system uses CFLAGS only
+CFLAGS = $(CPPFLAGS) $(CXXFLAGS)
 
 # Avoid unneeded library dependencies
-CFLAGS = $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
+
+JAVA_HOME = /usr/lib/jvm/default-java/
+DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 
 # Target for stripping / not stripping
 BUILD_TARGET = astyle
